%define name		axion
%define version		1.0
%define milestone	M3
%define release		0.%{milestone}.1jpp
%define	section		free


Name:		%{name}
Summary:	Axion RDBMS 
Url:		http://axion.tigris.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache / BSD -style License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	axion-1.0-M3-cvs040914-src.tar.gz
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs login
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs export -r HEAD axion

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	junit >= 0:3.7
BuildRequires:	javacc >= 0:3.1
BuildRequires:	jakarta-commons-codec >= 0:1.1
BuildRequires:	jakarta-commons-collections >= 0:2.1
BuildRequires:	jakarta-commons-primitives >= 0:1.0
BuildRequires:	jakarta-commons-logging >= 0:1.0
BuildRequires:	regexp >= 0:1.2
Requires:	jakarta-commons-codec >= 0:1.1
Requires:	jakarta-commons-collections >= 0:2.1
Requires:	jakarta-commons-primitives >= 0:1.0
Requires:	jakarta-commons-logging >= 0:1.0
Requires:	regexp >= 0:1.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Axion is a small, fast, open source relational 
database system (RDBMS) supporting SQL and JDBC 
written in and for the Java programming language.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps javacc"
export CLASSPATH=$(build-classpath \
commons-codec \
commons-collections \
commons-primitives \
commons-logging \
regexp \
)
CLASSPATH=$CLASSPATH:bin/classes:bin/test/classes
ant -Djavacc.home=%{_javadir} -Dbuild.sysclasspath=only jar doc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}-%{version}-%{milestone}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr bin/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M3.1jpp
- First release

